Bug 61409 - error output on STDOUT or STDERR depending on up2date options
Summary: error output on STDOUT or STDERR depending on up2date options
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: up2date   
(Show other bugs)
Version: 7.2
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Adrian Likins
QA Contact: Jay Turner
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-03-19 10:25 UTC by Need Real Name
Modified: 2015-01-07 23:55 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-03-19 10:25:24 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2002-03-19 10:25:09 UTC
From Bugzilla Helper:

User-Agent: Mozilla/4.0 (compatible; MSIE 5.12; Mac_PowerPC)



Description of problem:

using the bash shell and no X  "up2date -l" prints errors on STDOUT and 
"up2date -p" prints errors on STDERR.



When "up2date -l"  is used on script, there is no possibility to access to 
the error output.



Exit status codes are not  meaningful to: up2date -l returns always 
(system completely updated, available update packets, up2date errors) 1









Version-Release number of selected component (if applicable):





How reproducible:

Always



Steps to Reproduce:

1. ifdown eth0

2. /usr/sbin/up2date -l 2>err

3.cat err



err is empty and errors are printed to STDOUT





4./usr/sbin/up2date -p 2> err

5.cat err



errors are no more printed on STDOUT 

	



Additional info:

Comment 1 Adrian Likins 2002-03-27 00:34:56 UTC
This will be fixed with an update to usermode-1.5 or higher (the
bug is an issue in the way userhelper/consolehelper was duping
file descriptors)




Note You need to log in before you can comment on or make changes to this bug.